package taglibdemo.bean;

import java.util.*;

public class TimeOfDayBean {
    
    public int getHour() {
        Calendar now = new GregorianCalendar();
        return now.get(Calendar.HOUR_OF_DAY);
    }
    
    public boolean isMorning() {
        int hour = getHour();
        return (hour >= 6) && (hour < 12);
    }
    
    public boolean isAfternoon() {
        int hour = getHour();
        return (hour >= 12) && (hour < 18);
    }
    
    public boolean isDaytime() {
        return isMorning() || isAfternoon();
    }
    
}
