package taglibdemo.bean;

import java.util.Random;

public class DataBean {
    
    private double x, y;
    
    public DataBean() {
        this(randomCoordinate(), randomCoordinate());
    }
    
    public DataBean(double x, double y) {
        this.x = x;
        this.y = y;
    }
    
    public double getX() {
        return x;
    }
    
    public double getY() {
        return y;
    }
    
    public void setX(double x) {
        this.x = x;
    }
    
    public void setY(double y) {
        this.y = y;
    }
    
    private static Random rnd = new Random();
    
    static double randomCoordinate() {
        return 100.0 * rnd.nextDouble();
    }
}
